# extra options
# -DRSAref      build to use RSAref
# -DNOIDEA      build with no IDEA algorithm
# -DNORC4       build with no RC4 algorithm
#
# RSA_LLONG     use the type 'long long' in rsa/rsa.h
# MD2_CHAR      use 'char' instead of 'int' for MD2_INT in md/md2.h
# MD2_LONG      use 'long' instead of 'int' for MD2_INT in md/md2.h
# IDEA_SHORT    use 'short' instead of 'int' for IDEA_INT in idea/idea.h
# IDEA_LONG     use 'long' instead of 'int' for IDEA_INT in idea/idea.h
# RC4_CHAR      use 'char' instead of 'int' for RC4_INT in rc4/rc4.h
# RC4_LONG      use 'long' instead of 'int' for RC4_INT in rc4/rc4.h
# RC4_INDEX     define RC4_INDEX in rc4/rc4_enc.c.  This turns on
#               array lookups instead of pointer use.
.ifndef _ssl_lib_
_ssl_lib_=yes

CFLAGS+= -I${SSLSRC}/crypto -I${SSLSRC}/include

.include "../Makefile.inc"

NOPROFILE=no
#NOPIC=no

.if defined(MACHINE_ARCH) && (${MACHINE_ARCH} == "alpha" || ${MACHINE_ARCH} == "i386" || ${MACHINE_ARCH} == "i486")
.if ${MACHINE} == "solaris"
AFLAGS+= -DSOL
.elif ${MACHINE} == "linux" || ${MACHINE_ARCH} == "alpha"
AFLAGS+=-DELF
.elif exists(/netbsd)
AFLAGS+=-DOUT
.endif
.endif
	
.endif
